%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define date 20240213
%define rel 1

Name:           stb
Version:        0
Release:        %mkrel -c git%{date} %{rel}
Group:          System/Libraries
Summary:        stb single-file public domain libraries for C/C++
License:        MIT or Public Domain
URL:            https://github.com/nothings/stb
Source0:        https://github.com/nothings/stb/archive/master.tar.gz#/%{name}-%{version}-git%{date}.tar.gz
# Debian patches (P1->P10)
Patch1:         0001-Makefile-refactor.patch
Patch2:         0002-Mask-out-rectangle-packing-replacement-in-stb_truety.patch
Patch3:         0003-stb.h-fix-pointer-detection.patch
Patch4:         0004-stb_c_lexer.h-exit-on-error.patch
Patch5:         0005-stb_sprintf.h-fix-pointer-detection.patch

%description
stb single-file public domain libraries for C/C++.

%package -n %{libname}
Summary:        stb single-file public domain libraries for C/C++
Group:          System/Libraries

%description -n %{libname}
stb single-file public domain libraries for C/C++.

%package -n %{devname}
Summary:        Development package for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      stb-devel < 0-0.git20231010.3

%description -n %{devname}
Header files for development with %{name}.

%prep
%autosetup -p1 -n %{name}-master

%build
%set_build_flags
%make_build LIBDIR=%{_lib}

%install
%make_install LIBDIR=%{_lib}

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc README.md
%{_includedir}/stb/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/stb.pc


%changelog
* Fri Feb 16 2024 kekepower <kekepower> 0-0.git20240213.1.mga10
+ Revision: 2041932
- Update to git master 2024-02-13

* Mon Dec 04 2023 daviddavid <daviddavid> 0-0.git20231010.3.mga10
+ Revision: 2013093
- add debian patches to compile stb libraries and make it arch dependent
  * now it should replace our old stbi package needed for assimp and tinygltf

* Sun Dec 03 2023 daviddavid <daviddavid> 0-0.git20231010.2.mga10
+ Revision: 2012874
- add a pkgconfig file
- move headers to '/usr/include/stb' thuse prevent conflicting files with stbi

* Tue Oct 10 2023 kekepower <kekepower> 0-0.git20231010.1.mga10
+ Revision: 1994176
- Update to latest git master 2023-10-10

* Sat Jun 17 2023 wally <wally> 0-0.git20230129.4.mga9
+ Revision: 1962239
- rename devel pkg as noarch pkg can't use archful %%_lib in its name

* Fri Jun 16 2023 kekepower <kekepower> 0-0.git20230129.3.mga9
+ Revision: 1962154
- Try another noarch approach

* Fri Jun 16 2023 kekepower <kekepower> 0-0.git20230129.2.mga9
+ Revision: 1962143
- Build on noarch because there are only header files in here

* Fri Jun 16 2023 kekepower <kekepower> 0-0.git20230129.1.mga9
+ Revision: 1962139
- imported package stb

